# アクションレポートコマンド

### 未ログオンのユーザーのアクションレポート <a href="#action-report-not-logged-users" id="action-report-not-logged-users"></a>

指定した日数以内にログオンしていないユーザーの一覧を表示します。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `action-report --target no-logon --days-since 45`

**パラメーター:**

`target` または `t` - レポート対象のユーザーステータス `<no-logon, no-update, locked, invited, no-recovery>` 。

`days-since` または `d` - 対象操作を遡る日数 `<NUMBER OF DAYS>` 。

**例:**

```sh
My Vault> action-report --target no-logon --days-since 45
```

</details>

<details>

<summary>DotNet SDK</summary>

**関数:**

{% code expandable="true" %}

```ps1
public static async Task<ActionReportResult> RunActionReport(
            this EnterpriseData enterpriseData,
            IAuthentication auth,
            ActionReportOptions options,
            IRoleData roleData = null)
```

{% endcode %}

</details>

<details>

<summary>PowerCommander</summary>

**コマンド:** `Get-KeeperActionReport`

**パラメーター:**

`-Target` - レポート対象のユーザーステータス `<no-logon, no-update, locked, invited, no-recovery>` 。

`-DaysDince` - 対象操作を遡る日数 `<NUMBER OF DAYS>` 。

**例:**

{% code expandable="true" %}

```powershell
PS > Get-KeeperActionReport

Admin Action Taken:
        COMMAND: NONE (No action specified)
        STATUS: n/a
        SERVER MESSAGE: n/a
        AFFECTED: 0

Note: the following reflects data prior to any administrative action being applied
3 User(s) With "No-logon" Status Older Than 30 Day(s):

       User ID Email                         Name               Status Transfer Status   Node
       ------- -----                         ----               ------ ---------------   ----
10411693851111 user1@example.com             User 1             Active Transfer accepted Node1
10411693851112 user2@example.com             User 2             Active Transfer accepted Node1\Node2 
10411693851113 user3@example.com             User 3             Active Transfer accepted Node1\Node3
 

```

{% endcode %}

</details>

<details>

<summary>Python CLI</summary>

**例:**

```
Admin Action Taken:
        COMMAND: NONE (No action specified)
        STATUS: n/a
        SERVER MESSAGE: n/a
        AFFECTED: 0

Note: the following reflects data prior to any administrative action being applied
8 User(s) With "No-logon" Status Older Than 30 Day(s): 

         User ID  Email                                   Name              Status    Transfer Status    Node
----------------  --------------------------------------  ----------------  --------  -----------------  ---------------------------------------
1169425105420506  user1@example.com                            Active    Transfer accepted  Metronlabs\test1
1169425105420717  user2@example.com                               Active    Transfer accepted  Metronlabs
```

</details>

<details>

<summary>Python SDK</summary>

**関数:**

```python
 def generate_report(self) -> List[ActionReportEntry]:
        target_users = self._get_target_users()
        
        report_entries: List[ActionReportEntry] = []
        
        for user in target_users:
```

</details>

### ロックユーザーのアクションレポート <a href="#action-report-locked-users" id="action-report-locked-users"></a>

指定ノード内でロック状態が一定日数以上続いているユーザーアカウントの一覧を表示します。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `action-report --target locked --days-since 10 --node="sales"`

**パラメーター:**

`target` または `t` - レポート対象のユーザーステータス `<no-logon, no-update, locked, invited, no-recovery>` 。

`days-since` または `d` - 対象操作を遡る日数 `<NUMBER OF DAYS>` 。

`node` - 対象ノード名を指定します。

`apply-action` または `a` - 適用する操作 `none,lock,delete,transfer` 。

**例:**

```sh
My Vault> action-report --target locked --days-since 10 --node="sales"
```

</details>

<details>

<summary>DotNet SDK</summary>

**関数:**

{% code expandable="true" %}

```ps1
def generate_report(self) -> List[ActionReportEntry]:
        target_users = self._get_target_users()
        
        report_entries: List[ActionReportEntry] = []
        
        for user in target_users:
```

{% endcode %}

</details>

<details>

<summary>PowerCommander</summary>

**コマンド:** `Get-KeeperActionReport`

**パラメーター:**

`-Target` - レポート対象のユーザーステータス `<no-logon, no-update, locked, invited, no-recovery>` 。

`-DaysSince` - 対象操作を遡る日数 `<NUMBER OF DAYS>` 。

`-Node` - 対象ノード名を指定します。

`-ApplyAction` - 適用する操作 `none,lock,delete,transfer` 。

**例:**

```powershell
PS >  Get-KeeperActionReport -Target no-logon -DaysSince 30 -Node "Node1"

Admin Action Taken:
        COMMAND: NONE (No action specified)
        STATUS: n/a
        SERVER MESSAGE: n/a
        AFFECTED: 0

Note: the following reflects data prior to any administrative action being applied
2 User(s) With "No-logon" Status Older Than 30 Day(s) in Node "Node1":

       User ID Email                   Name          Status Transfer Status   Node
       ------- -----                   ----          ------ ---------------   ----
10411693850000 user1@example.com       user1         Active Transfer accepted Node\Node1      
10411693850001 user2@example.com       user2         Active Transfer accepted Node\Node1\Node2
```

</details>

<details>

<summary>Python CLI</summary>

**例:**

```
Admin Action Taken:
        COMMAND: NONE (No action specified)
        STATUS: n/a
        SERVER MESSAGE: n/a
        AFFECTED: 0

Note: the following reflects data prior to any administrative action being applied
0 User(s) With "Locked" Status Older Than 90 Day(s): 
 
       User ID  Email                      Name    Status    Transfer Status    Node
--------------  -------------------------  ------  --------  -----------------  ---------------
70411693850646  user1@example.com  Sharad  Locked    Transfer accepted  Keeper Security
```

</details>

<details>

<summary>Python SDK</summary>

**関数:**

```python
def generate_aging_report(
def generate_report(self) -> List[ActionReportEntry]:
        target_users = self._get_target_users()
        
        report_entries: List[ActionReportEntry] = []
        
        for user in target_users:
```

</details>

### 列指定付きのアクションレポート <a href="#action-report-with-specified-columns" id="action-report-with-specified-columns"></a>

未ログオンのユーザーを、レポートに含める列を指定して一覧表示します。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `action-report -t no-logon --columns= node, name, user_id, email, status, transfer_status`

**パラメーター:**

`columns` - レポートに追加する列 `node, name, user_id, email, status, transfer_status` 。

**例:**

```sh
My Vault> action-report -t no-update  --columns=node,name,user_id,email,status,transfer_status -d 10             
```

</details>

<details>

<summary>DotNet SDK</summary>

**関数:**

{% code expandable="true" %}

```ps1
public static async Task<ActionReportResult> RunActionReport(
            this EnterpriseData enterpriseData,
            IAuthentication auth,
            ActionReportOptions options,
            IRoleData roleData = null)
```

{% endcode %}

</details>

<details>

<summary>PowerCommander</summary>

**コマンド:** `Get-KeeperActionReport`

**パラメーター:**

`-Columns` - レポートに追加する列 `node, name, user_id, email, status, transfer_status` 。

**例:**

```powershell
PS >  Get-KeeperActionReport -Target no-logon -Columns "name,status,transfer_status,2fa_enabled"

Admin Action Taken:
        COMMAND: NONE (No action specified)
        STATUS: n/a
        SERVER MESSAGE: n/a
        AFFECTED: 0

Note: the following reflects data prior to any administrative action being applied
3 User(s) With "No-logon" Status Older Than 30 Day(s):

Email                         Name               Status Transfer Status   2FA Enabled
-----                         ----               ------ ---------------   -----------
user1@example.com             user1              Active Transfer accepted False
user2+1@example.com           user2              Active Transfer accepted False
user3@example.com             user3              Active Transfer accepted False

```

</details>

<details>

<summary>Python CLI</summary>

**例:**

```
My Vault> action-report --target no-logon --columns "name, status, transfer_status"

Admin Action Taken:
        COMMAND: NONE (No action specified)
        STATUS: n/a
        SERVER MESSAGE: n/a
        AFFECTED: 0

Note: the following reflects data prior to any administrative action being applied
14 User(s) With "No-logon" Status Older Than 30 Day(s): 

       User ID  Name                 Status    Transfer Status
--------------  -------------------  --------  -----------------
70411693850753  A Test               Active    Transfer accepted
70411693853038  Testing              Active    Not accepted
```

</details>

<details>

<summary>Python SDK</summary>

**関数:**

```python
def generate_report(self) -> List[ActionReportEntry]:
        target_users = self._get_target_users()
        
        report_entries: List[ActionReportEntry] = []
        
        for user in target_users:
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keeper.io/keeperpam/jp/commander-sdk/keeper-commander-sdks/sdk-command-reference/reporting-commands/action-report-command.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
